<?php include_once("class/class.MySQL.php");
$db	=new MySQL();
$query="select * from employee where e_id!=1 order by e_fname asc";
$res    = mysql_query($query);
 $count  = mysql_num_rows($res);
$page = (int) (!isset($_REQUEST['pageId']) ? 1 :$_REQUEST['pageId']);
$page = ($page == 0 ? 1 : $page);
$recordsPerPage = 10;
$start = ($page-1) * $recordsPerPage;
$adjacents = "2";
    
$prev = $page - 1;
$next = $page + 1;
$lastpage = ceil($count/$recordsPerPage);
$lpm1 = $lastpage - 1;   
$pagination = "";
if($lastpage > 1)
    {   
        $pagination .= "<div class='pagination'>";
        if ($page > 1)
            $pagination.= "<a href=\"#Page=".($prev)."\" onClick='changePagination(".($prev).");'>&laquo; Previous&nbsp;&nbsp;</a>";
        else
            $pagination.= "<span class='disabled'>&laquo; Previous&nbsp;&nbsp;</span>";   
        if ($lastpage < 7 + ($adjacents * 2))
        {   
            for ($counter = 1; $counter <= $lastpage; $counter++)
            {
                if ($counter == $page)
                    $pagination.= "<span class='current'>$counter</span>";
                else
                    $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
                         
            }
        }
        elseif($lastpage > 5 + ($adjacents * 2))
        {
            if($page < 1 + ($adjacents * 2))
            {
                for($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
                {
                    if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                    else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
                }
                $pagination.= "...";
                $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='changePagination(".($lpm1).");'>$lpm1</a>";
                $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='changePagination(".($lastpage).");'>$lastpage</a>";   
           
           }
           elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='changePagination(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='changePagination(2);'>2</a>";
               $pagination.= "...";
               for($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
               {
                   if($counter == $page)
                       $pagination.= "<span class='current'>$counter</span>";
                   else
                       $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
               }
               $pagination.= "..";
               $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='changePagination(".($lpm1).");'>$lpm1</a>";
               $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='changePagination(".($lastpage).");'>$lastpage</a>";   
           }
           else
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='changePagination(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='changePagination(2);'>2</a>";
               $pagination.= "..";
               for($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
               {
                   if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                   else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
               }
           }
        }
        if($page < $counter - 1)
            $pagination.= "<a href=\"#Page=".($next)."\" onClick='changePagination(".($next).");'>Next &raquo;</a>";
        else
            $pagination.= "<span class='disabled'>Next &raquo;</span>";
        
        $pagination.= "</div>";       
    }
    
if(isset($_POST['pageId']) && !empty($_POST['pageId']))
{
    $id=$_POST['pageId'];
}
else
{
    $id='0';
}
 $query="select * from employee where e_id!=1 order by e_fname asc
limit ".mysql_real_escape_string($start).",$recordsPerPage";
//echo $start;
$res    =   mysql_query($query);
$count  =   mysql_num_rows($res);
$HTML='';

   $HTML.=' 
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="list-leavesu">
								  <tr>
											<td width="15%" colspan="6" align="center"><b><translate>PRIVILEGE SETTINGS</translate></b></td></tr>
											
										  <tr>
											<td width="15%"><translate>Sl Nos</translate></td>
											<td width="15%"><translate>Name</translate></td>
											<td width="15%"><translate>Branch</translate></td>
											<td width="5%"><translate>Set Privilege</translate></td>
										 </tr>';
if($count > 0)
{
	$rcnt=$start;
    while($row=mysql_fetch_array($res))
    {
		$rcnt=$rcnt+1;
	 $branchs =  mysql_fetch_array(mysql_query("SELECT * FROM branches where branch_id='$row[branchid]'"));

        $post=$row['proj_id'];
        $link=$row['proj_id'];
        $HTML.='<tr>';
		$HTML.='<td>'.$rcnt.'</td>';
        $HTML.='<td>'.$row['e_fname'].'</td>';
		$HTML.='<td>'.$branchs['branch_name'].'</td>';
	$HTML.='<td ><a href="user_link_settings.php?id='.$row['e_id'].'"><icon class="glyphicon glyphicon-cog"></i></a></td>';
		
		
		?>
		
		
	<?php 

   $HTML.='</tr>'; }
	 
	$HTML.='</table>';
}

echo $HTML;
echo $pagination;
?>